Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sleepycat.je.rep.monitor
Enum LeaveGroupEvent.LeaveReason

    java.lang.Object
      java.lang.Enum<LeaveGroupEvent.LeaveReason>
          com.sleepycat.je.rep.monitor.LeaveGroupEvent.LeaveReason

All Implemented Interfaces:
  Serializable, Comparable<LeaveGroupEvent.LeaveReason>

Enclosing class:
  LeaveGroupEvent

    public static enum LeaveGroupEvent.LeaveReason

extends Enum<LeaveGroupEvent.LeaveReason>

The reason for why the node leaves the group.

Enum Constant Summary
`ABNORMAL_TERMINATION` Abnormal termination.
`MASTER_SHUTDOWN_GROUP` Master initiated shutdown.
`NORMAL_SHUTDOWN` Normal replica shutdown.

Method Summary
`static LeaveGroupEvent.LeaveReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LeaveGroupEvent.LeaveReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL_SHUTDOWN

    public static final LeaveGroupEvent.LeaveReason NORMAL_SHUTDOWN

  Normal replica shutdown.

### ABNORMAL_TERMINATION

    public static final LeaveGroupEvent.LeaveReason ABNORMAL_TERMINATION

  Abnormal termination.

### MASTER_SHUTDOWN_GROUP

    public static final LeaveGroupEvent.LeaveReason MASTER_SHUTDOWN_GROUP

  Master initiated shutdown.

Method Detail

### values

    public static LeaveGroupEvent.LeaveReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LeaveGroupEvent.LeaveReason c : LeaveGroupEvent.LeaveReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LeaveGroupEvent.LeaveReason valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.